package de.intevation.flys.client.client.ui;

public class WaterlevelGroundPanel extends DistancePanel {

    public static final String FIELD_LOWER = "diff_from";
    public static final String FIELD_UPPER = "diff_to";
    public static final String FIELD_STEP  = "diff_diff";


    public WaterlevelGroundPanel() {
        super("left");
    }


    @Override
    protected String getLowerField() {
        return FIELD_LOWER;
    }


    @Override
    protected String getUpperField() {
        return FIELD_UPPER;
    }


    @Override
    protected String getStepField() {
        return FIELD_STEP;
    }


    @Override
    protected String labelFrom() {
        return getLabelFrom() + " [" + getUnitFrom() + "]";
    }


    @Override
    protected String getLabelFrom() {
        return MSG.wgLabelFrom();
    }


    @Override
    protected String getUnitFrom() {
        return MSG.wgUnitFrom();
    }


    @Override
    protected String labelTo() {
        return getLabelTo() + " [" + getUnitTo() + "]";
    }


    @Override
    protected String getLabelTo() {
        return MSG.wgLabelTo();
    }


    @Override
    protected String getUnitTo() {
        return MSG.wgUnitTo();
    }


    @Override
    protected String labelStep() {
        return getLabelStep() + " [" + getUnitStep() + "]";
    }


    @Override
    protected String getLabelStep() {
        return MSG.wgLabelStep();
    }


    @Override
    protected String getUnitStep() {
        return MSG.wgUnitStep();
    }


    @Override
    protected double getDefaultFrom() {
        return 0;
    }


    @Override
    protected double getDefaultTo() {
        return 0;
    }


    @Override
    protected double getDefaultStep() {
        return 0;
    }


    @Override
    protected void initHelperPanel() {
        // We don't need a helper panel here. But we have to override this
        // method to avoid the table creation in the parent class.
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
